import { Status } from "../../DataFrame";
import { IDIService } from "../../IDIService";
import { FieldChangeResult } from "../FieldChangeResult";
import { IDeviceChannel } from "./IDeviceChannel";
export interface IChannelsGroupsService extends IDIService {
    WaitForSynchronizationAsync(): Promise<void>;
    RemoveGroupAsync(group: IChannelsGroup): Promise<Status>;
    RemoveGroupByGuidAsync(groupGuid: string): Promise<Status>;
    GetGroupByGuid(guid: string): IChannelsGroup | null;
    GetGroupsAsync(): Promise<IChannelsGroup[]>;
    AddDeviceChannelToGroupAsync(channel: IDeviceChannel, group: IChannelsGroup): Promise<Status>;
    AddDeviceChannelToGroupByGuidAsync(channel: IDeviceChannel, groupGuid: string): Promise<Status>;
    RemoveDeviceChannelFromGroupAsync(channel: IDeviceChannel, group: IChannelsGroup): Promise<Status>;
    RemoveDeviceChannelFromGroupByGuidAsync(channel: IDeviceChannel, groupGuid: string): Promise<Status>;
    AddNewGroupAsync(name: string): Promise<IChannelsGroup | Status>;
    UpsertGroupWithDevicesChannelsAsync(group: IChannelsGroup, deviceChannels: IDeviceChannel[]): Promise<IChannelsGroup | Status>;
    UpdateGroupWithDevicesChannelsAsync(groupGuid: string, deviceChannels: IDeviceChannel[]): Promise<Status>;
    ChangeGroupNameAsync(group: IChannelsGroup, name: string): Promise<FieldChangeResult>;
    ChangeGroupNameByGuidAsync(groupGuid: string, name: string): Promise<FieldChangeResult>;
}
export interface IChannelsGroup {
    get Guid(): string;
    get Name(): string;
    GetDevicesChannelsInGroupAsync(): Promise<IDeviceChannel[]>;
    ChangeNameAsync(name: string): Promise<FieldChangeResult>;
}
export declare class ChannelsGroup implements IChannelsGroup {
    GetDevicesChannelsInGroupAsync(): Promise<IDeviceChannel[]>;
    private _guid;
    private _name;
    get Guid(): string;
    set Guid(value: string);
    get Name(): string;
    set Name(value: string);
    ChangeNameAsync(name: string): Promise<FieldChangeResult>;
}
